Package: org.codehaus.groovy.grails.plugins.web.async

## [Groovy] Class WebRequestPromiseDecoratorLookupStrategy

- org.codehaus.groovy.grails.plugins.web.async.WebRequestPromiseDecoratorLookupStrategy

- All Implemented Interfaces and Traits:
    PromiseDecoratorLookupStrategy

      @groovy.transform.CompileStatic
      class WebRequestPromiseDecoratorLookupStrategy

  A promise decorated lookup strategy that binds a WebRequest to the promise thread

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.util.List<PromiseDecorator>` | `findDecorators()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override java.util.List<PromiseDecorator> findDecorators()